but it's already beyond 2.0 on the app store...